import { async, ComponentFixture, TestBed } from '@angular/core/testing';

import { CustomerCardSearchErrorModalComponent } from './customer-card-search-error-modal.component';
import { BarcodeSearchModule } from '../../barcode-search.module';
import { IconModule } from '@libs/ui';
import { CommonModule } from '@angular/common';

describe('CustomerCardSearchErrorModalComponent', () => {
  let component: CustomerCardSearchErrorModalComponent;
  let fixture: ComponentFixture<CustomerCardSearchErrorModalComponent>;

  beforeEach(async(() => {
    TestBed.configureTestingModule({
      imports: [CommonModule, BarcodeSearchModule, IconModule],
    }).compileComponents();
  }));

  beforeEach(() => {
    fixture = TestBed.createComponent(CustomerCardSearchErrorModalComponent);
    component = fixture.componentInstance;
    fixture.detectChanges();
  });

  it('should create', () => {
    expect(component).toBeTruthy();
  });
});
